Tripnet - Bug #21166
Feature # 19785 (Closed): PTN inetgration - B2B only

Agent Ref no - PTN
06/06/2017 10:27 am - Sreerag Prasannan

Status: Closed Start date: 06/06/2017
Priority: Normal Due date: 06/06/2017
Assignee: % Done: 0%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
End_Date: Areas Affected:

remarks: Files Changed:

DB Changes: Initial Planned Hours:

Keys & Permissions:

Description

In our XML Reservation Request we have asked you to pass a unique agent_ref _no for every booking request that you send to us.
Sometimes, there may be a possibility that you may receive an error or blank response and in such cases the booking might get
posted in our system.
So to be on a safer side and to avoid an issue, if you receive any error or blank response in XML Reservation Response then
you should send us a booking details request immediately to check the status of the booking in our system. In
your booking detail request you should send us the agent_ref_no to retrieve the booking details.

Sample booking detail request:
http://xmloutptn.planettravelnetwork.com/ws/index.php?xml=<?xml version="1.0" encoding="UTF-8"?>
&lt;Request&gt;
&lt;Action&gt;booking_detail&lt;/Action&gt;
&lt;Username&gt;***&lt;/Username&gt;

&lt;Password&gt;***&lt;/Password&gt;
&lt;agent_ref_no&gt;4685&lt;/agent_ref_no&gt;

&lt;/Request&gt;

History

#1 - 06/06/2017 11:21 am - Jubin J
- Due date set to 06/06/2017
- Status changed from New to Assigned

- Assignee set to Binsu M Peter

#2 - 06/06/2017 07:15 pm - Binsu M Peter

- Status changed from Assigned to Propose No fix

#3 - 06/20/2017 09:32 am - Sreerag Prasannan
- Status changed from Propose No fix to Closed
- Assignee deleted (Binsu M Peter)
